module(..., package.seeall)

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function startstop(self)
	return self.handle_form(self, self.model.get_startstop, self.model.startstop_service, self.clientdata)
end

function details(self)
	return self.model.getstatusdetails()
end

function listfiles(self)
	return self.model.getfilelist()
end

function createfile(self)
	return self.handle_form(self, self.model.getnewfile, self.model.createfile, self.clientdata, "Create", "Create new file", "New file created")
end

function deletefile(self)
	return self.handle_form(self, self.model.getdeletefile, self.model.deletefile, self.clientdata, "Delete", "Delete file", "File deleted")
end

function expert(self)
	return self.handle_form(self, function() return self.model.getfiledetails(self.clientdata.filename) end, self.model.updatefiledetails, self.clientdata, "Save", "Edit Postfix File", "File Saved")
end

function rebuilddatabases(self)
	return self.handle_form(self, self.model.get_rebuild_databases, self.model.rebuild_databases, self.clientdata, "Rebuild", "Rebuild Databases")
end

function listqueue(self)
	return self.model.getmailqueue()
end

function flushqueue(self)
	return self.handle_form(self, self.model.getflushqueue, self.model.flushqueue, self.clientdata, "Flush", "Flush Queue")
end
